Loading...
Searching...
No Matches
EclTwoPhaseMaterialParams.hpp File Reference

Implementation for the parameters required by the material law for two-phase simulations. More...

`#include <memory>`
`#include <opm/material/common/EnsureFinalized.hpp>`

Go to the source code of this file.

## Classes

class | Opm::EclTwoPhaseMaterialParams< Traits, GasOilParamsT, OilWaterParamsT, GasWaterParamsT >
| Implementation for the parameters required by the material law for two-phase simulations. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Enumerations

enum class | EclTwoPhaseApproach { GasOil , OilWater , GasWater }

## Detailed Description

Implementation for the parameters required by the material law for two-phase simulations.

Essentially, this class just stores the two parameter objects for the twophase capillary pressure laws.